/**
 * File: Stanford.java
 * -------------------
 * The program provides an example of using Student objects.
 */

import acm.program.*;

public class Stanford extends ConsoleProgram {
	/* Constants */
	private static final int CS106A_UNITS = 5;
	
	public void run() {
		/* Stanford - the home of the large serif fonts! */
		setFont("DejaVuSerif-BOLD-24");
		
		Student keith = new Student("Keith", 10000000);
		keith.setUnits(225);
		printUnits(keith);
		
		Student gil = new Student("Gil", 10000001);
		gil.setUnits(180);
		printUnits(gil);
		
		Frosh mckenzie = new Frosh("McKenzie", 10000002, "Cedro");
		mckenzie.setUnits(18);
		printUnits(mckenzie);
	}
	
	/**
	 * Prints the name and number of units of the given student.
	 * 
	 * @param student The student in question.
	 */
	private void printUnits(Student student) {
		println(student + " has " + student.getUnits() + " units");
	}
}
